%define module sqlalchemy-migrate

Name:           python-%{module}
Version:        0.13.0
Release:        %mkrel 8
Summary:        Database schema migration for SQLAlchemy

Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/sqlalchemy-migrate
Source0:        https://pypi.io/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%package -n python3-%{module}
Summary:        Database schema migration for SQLAlchemy
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sqlalchemy)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(decorator)
BuildRequires:  python3dist(pbr)

Requires:       python3dist(sqlalchemy) >= 0.5
Requires:       python3dist(setuptools)
Requires:       python3dist(decorator)

Conflicts:      python2-sqlalchemy-migrate < 0.12.0-2

%description -n python3-%{module}
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python 3 code.

%prep
%setup -q -n %module-%version

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files migrate

%files -n python3-%{module} -f %{pyproject_files}
%doc PKG-INFO README.rst doc
%{_bindir}/migrate*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.13.0-8.mga10
+ Revision: 2240718
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.13.0-7.mga10
+ Revision: 2157616
- rebuild for python3.13

* Tue Jan 28 2025 daviddavid <daviddavid> 0.13.0-6.mga10
+ Revision: 2142919
- remove unneeded python3-nose build dependency
- switch to pyproject

* Sun Dec 31 2023 joequant <joequant> 0.13.0-5.mga10
+ Revision: 2024691
- update to py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.13.0-4.mga9
+ Revision: 1832713
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 0.13.0-3.mga9
+ Revision: 1781396
- update to python 3.10

* Sat Mar 20 2021 joequant <joequant> 0.13.0-2.mga9
+ Revision: 1705203
- rebuild for python 3.9

* Mon Mar 01 2021 joequant <joequant> 0.13.0-1.mga9
+ Revision: 1694774
- update to 0.13.0

* Sun Feb 16 2020 umeabot <umeabot> 0.12.0-4.mga8
+ Revision: 1533679
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.12.0-3.mga8
+ Revision: 1444912
- rebuild for python-3.8

* Sun Aug 25 2019 wally <wally> 0.12.0-2.mga8
+ Revision: 1431855
- drop python2 support

* Fri Jul 19 2019 shlomif <shlomif> 0.12.0-1.mga8
+ Revision: 1423018
- New version + py3

* Thu Sep 20 2018 umeabot <umeabot> 0.11.0-4.mga7
+ Revision: 1290266
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.11.0-3.mga7
+ Revision: 1168593
- BR pythonX-pbr thus fixing build

* Sun Sep 24 2017 daviddavid <daviddavid> 0.11.0-2.mga7
+ Revision: 1158711
- rename python-sqlalchemy-migrate to python2-sqlalchemy-migrate
- s/sitearch/sitelib/ as it is a noarch package

* Tue Aug 08 2017 philippem <philippem> 0.11.0-1.mga7
+ Revision: 1138957
- update to 0.11

* Fri Feb 19 2016 umeabot <umeabot> 0.9.7-2.mga6
+ Revision: 969573
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 philippem <philippem> 0.9.7-1.mga6
+ Revision: 871179
- update to 0.9.7

* Wed Oct 15 2014 umeabot <umeabot> 0.8.2-6.mga5
+ Revision: 746549
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.2-5.mga5
+ Revision: 729834
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Wed May 07 2014 daviddavid <daviddavid> 0.8.2-2.mga5
+ Revision: 621026
- obsolete python-migrate
- add python-migrate as Provides package
  * python-migrate has been removed as it is a duplicate of python-sqlalchemy-migrate

* Tue Dec 10 2013 joequant <joequant> 0.8.2-1.mga4
+ Revision: 556178
- update source file
- update to 0.8.2

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-4.mga4
+ Revision: 544210
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.2-3.mga4
+ Revision: 499435
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 379546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.7.2-1.mga3
+ Revision: 290051
- New upstream release 0.7.2

* Mon Jul 04 2011 philippem <philippem> 0.7.1-1.mga2
+ Revision: 118419
- imported package python-sqlalchemy-migrate


* Mon Jul 04 2011 Philippe Makowski <philippem@mageia.org> 
- new upstream
- import into Mageia

* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.6.1-1mdv2011.0
+ Revision: 683270
- import python-sqlalchemy-migrate


